#include <stdio.h>
#include "UIDialogLibCall.h"
#include <stdlib.h>

void main(){

    char* icaroot;
    icaroot = getenv("ICAROOT");
    if (icaroot == NULL)
        icaroot = (char *)"/opt/Citrix/ICAClient";

#ifdef ICAROOT_PATH
    icaroot = ICAROOT_PATH;
#else
    icaroot = "/opt/Citrix/ICAClient";
#endif

    /* Load the UI Dialog Library. */ 
    UIDialogLibLoadTask(icaroot, UIDIALOG_MAJOR);   ;    
    unsigned int major, minor;
    UI_DIALOG_VERSION(&major, &minor);

    printf("Major version: %u\nMinor version: %u " , major, minor);


    UI_DIALOG_LOOP_INIT(NULL, NULL);
    UI_DIALOG_DISPLAY_WEBVIEW("https://google.com", "basic_new", NULL, NULL);


}
